Bug 106666 - [patch] remove x11/XFree86 (version 3.X)
[patch] remove x11/XFree86 (version 3.X)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-13 12:20 UTC by Vasil Dimov
Modified: 2007-02-02 20:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vasil Dimov freebsd_committer 2006-12-13 12:20:02 UTC
In order to remove x11/XFree86, which is deprecated:
2006-12-01 x11/XFree86: Obsolete version, use xorg or XFree86-4 instead
the following must be done:

these ports must be removed:
graphics/linux_glx
graphics/xpm
graphics/mesagl
x11/XFree86
x11/XFree86-contrib

the following files must be edited:
Mk/bsd.port.mk
astro/google-earth/Makefile
editors/elvis/Makefile
emulators/vice/Makefile
emulators/vmware-tools3/Makefile
emulators/vmware-guestd4/Makefile
emulators/vmware-guestd5/Makefile
games/atitd/Makefile
games/linux-doom3-demo/Makefile
games/linux-ut2004-demo/Makefile
games/linux-virtual-jay-peak/Makefile
games/linux-ut2003-demo/Makefile
games/linux-quake3-demo/Makefile
games/linux-x-plane/Makefile
games/linux-x-plane-net-installer/Makefile
games/linux-doom3/Makefile
graphics/libvisual-plugins/Makefile
multimedia/libdv/Makefile
multimedia/libxine/Makefile
net-im/ayttm/Makefile
x11/dgs/Makefile
x11/gdkxft/Makefile
x11/mlterm/Makefile
x11/xlockmore/Makefile
x11/xvattr/Makefile
x11-fonts/fontconfig/Makefile
x11-fonts/webfonts/Makefile
x11-fonts/bitstream-vera/Makefile
x11-fonts/libXft/Makefile
x11-toolkits/Xaw3d/Makefile
x11-toolkits/fox12/Makefile
x11-toolkits/fox14/Makefile
x11-toolkits/fox16/Makefile
x11-wm/aewm/Makefile
x11-wm/enlightenment/Makefile
x11-wm/icewm/Makefile
x11-wm/matchbox/Makefile
x11-wm/xfce/Makefile
x11-wm/pawm/Makefile
x11-themes/cursor-bluecurve-theme/Makefile

I am not sure what would be the status of /etc/mtree/BSD.x11.dist.

I have attached a patch which removes any traces of xfree86-3 from the
above files.

Fix: 

-- 
Vasil Dimov
gro.DSBeerF@dv
%
I will not say that women have no character; rather, they have a new
one every day.
                -- Heine--zatmAOA2w6eNshsFoZkJjitOg91xhKye7m8D82uNJbfTHtje
Content-Type: text/plain; name="xfree3remove.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="xfree3remove.diff"

Index: Mk/bsd.port.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.port.mk,v
retrieving revision 1.544
diff -u -r1.544 bsd.port.mk
--- Mk/bsd.port.mk	30 Sep 2006 19:25:45 -0000	1.544
+++ Mk/bsd.port.mk	13 Dec 2006 10:39:14 -0000
@@ -1567,11 +1567,8 @@
 
 .if ${OSVERSION} >= 502123
 X_WINDOW_SYSTEM ?= xorg
-.elif (${OSVERSION} >= 450005 && !defined(XFREE86_VERSION)) || \
-	(defined(XFREE86_VERSION) && ${XFREE86_VERSION} == 4)
-X_WINDOW_SYSTEM ?= xfree86-4
 .else
-X_WINDOW_SYSTEM ?= xfree86-3
+X_WINDOW_SYSTEM ?= xfree86-4
 .endif
 
 # Location of mounted CDROM(s) to search for files
@@ -1876,45 +1873,14 @@
 X_FONTS_TTF_PORT=	${PORTSDIR}/x11-fonts/XFree86-4-fontScalable
 X_FONTS_TYPE1_PORT=	${PORTSDIR}/x11-fonts/XFree86-4-fontScalable
 X_MANUALS_PORT=		${PORTSDIR}/x11/XFree86-4-manuals
-.elif defined(X_WINDOW_SYSTEM) && ${X_WINDOW_SYSTEM:L} == xfree86-3
-X_IMAKE_PORT=		${PORTSDIR}/x11/XFree86
-X_LIBRARIES_PORT=	${PORTSDIR}/x11/XFree86
-X_CLIENTS_PORT=		${PORTSDIR}/x11/XFree86
-X_SERVER_PORT=		${PORTSDIR}/x11/XFree86
-X_FONTSERVER_PORT=	${PORTSDIR}/x11/XFree86
-X_PRINTSERVER_PORT=	${PORTSDIR}/x11/XFree86
-X_VFBSERVER_PORT=	${PORTSDIR}/x11/XFree86
-X_NESTSERVER_PORT=	${PORTSDIR}/x11/XFree86
-X_FONTS_ENCODINGS_PORT=	${PORTSDIR}/x11/XFree86
-X_FONTS_MISC_PORT=	${PORTSDIR}/x11/XFree86
-X_FONTS_100DPI_PORT=	${PORTSDIR}/x11/XFree86
-X_FONTS_75DPI_PORT=	${PORTSDIR}/x11/XFree86
-X_FONTS_CYRILLIC_PORT=	${PORTSDIR}/x11/XFree86
-X_FONTS_TTF_PORT=	${PORTSDIR}/x11/XFree86
-X_FONTS_TYPE1_PORT=	${PORTSDIR}/x11/XFree86
-X_MANUALS_PORT=		${PORTSDIR}/x11/XFree86
 .else
-IGNORE=	cannot install: bad X_WINDOW_SYSTEM setting; valid values are 'xfree86-3', 'xfree86-4', 'xorg'
+IGNORE=	cannot install: bad X_WINDOW_SYSTEM setting; valid values are 'xfree86-4' and 'xorg'
 .endif
 
 .if defined(USE_IMAKE)
 BUILD_DEPENDS+=			imake:${X_IMAKE_PORT}
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-
-.if defined(USE_XPM)
-LIB_DEPENDS+=			Xpm.4:${PORTSDIR}/graphics/xpm
-.endif
-.if defined(USE_GL)
-LIB_DEPENDS+=			GL.14:${PORTSDIR}/graphics/mesagl
-.endif
-
-XAWVER=				6
-PKG_IGNORE_DEPENDS?=		'^XFree86-3\.'
-
-.else
-
 .if defined(USE_XPM) || defined(USE_GL)
 USE_XLIB=			yes
 .endif
@@ -1926,8 +1892,6 @@
 .endif
 PKG_IGNORE_DEPENDS?=		'this_port_does_not_exist'
 
-.endif
-
 PLIST_SUB+=			XAWVER=${XAWVER}
 
 .if defined(USE_BISON)
@@ -2222,11 +2186,7 @@
 .if ${PREFIX} == ${X11BASE_REL} || defined(USE_X_PREFIX)
 # User may have specified non-standard PREFIX for installing a port that
 # uses X
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-MTREE_FILE=	/etc/mtree/BSD.x11.dist
-.else
 MTREE_FILE=	/etc/mtree/BSD.x11-4.dist
-.endif
 .elif ${PREFIX} == /usr
 MTREE_FILE=	/etc/mtree/BSD.usr.dist
 .else
Index: astro/google-earth/Makefile
===================================================================
RCS file: /home/pcvs/ports/astro/google-earth/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- astro/google-earth/Makefile	14 Nov 2006 12:27:31 -0000	1.10
+++ astro/google-earth/Makefile	13 Dec 2006 10:39:15 -0000
@@ -40,15 +40,11 @@
 
 UNMAKESELF=	${LOCALBASE}/bin/unmakeself
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 do-fetch:
 	@if [ ! -f ${DISTDIR}/${TARGET_DISTFILE} ]; then \
Index: editors/elvis/Makefile
===================================================================
RCS file: /home/pcvs/ports/editors/elvis/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- editors/elvis/Makefile	14 Oct 2006 08:54:11 -0000	1.13
+++ editors/elvis/Makefile	13 Dec 2006 10:39:15 -0000
@@ -34,7 +34,7 @@
 CONFIGURE_ARGS+=	--without-x
 .else
 USE_XPM=	yes
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3 || defined(WITHOUT_XFT)
+.if defined(WITHOUT_XFT)
 CONFIGURE_ARGS+=	--without-xft
 .else
 LIB_DEPENDS+=	Xft.2:${PORTSDIR}/x11-fonts/libXft
Index: emulators/vice/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/vice/Makefile,v
retrieving revision 1.47
diff -u -r1.47 Makefile
--- emulators/vice/Makefile	20 Sep 2006 11:20:48 -0000	1.47
+++ emulators/vice/Makefile	13 Dec 2006 10:39:15 -0000
@@ -89,9 +89,7 @@
 CONFIGURE_ARGS+=	--without-esd
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 BUILD_DEPENDS+=	bdftopcf:${X_CLIENTS_PORT}
-.endif
 
 .if ${ARCH} == "alpha" && ${OSVERSION} < 500000
 # ../src/resid/libresid.a(wave.o)(.rodata+0x0): relocation truncated to fit: GPREL32 *UND*
Index: emulators/vmware-tools3/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/vmware-tools3/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- emulators/vmware-tools3/Makefile	8 Mar 2005 03:41:29 -0000	1.16
+++ emulators/vmware-tools3/Makefile	13 Dec 2006 10:39:15 -0000
@@ -46,11 +46,7 @@
 MOUNT=		/sbin/mount
 UMOUNT=		/sbin/umount
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-PLIST_SUB+=	INSTALLXSERVER:=""
-.else
 PLIST_SUB+=	INSTALLXSERVER:="@comment "
-.endif
 
 do-fetch:
 	@${DO_NADA}
@@ -86,14 +82,6 @@
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/vmware-toolbox ${PREFIX}/bin
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-	${INSTALL_PROGRAM} ${WRKSRC}/XF86_VMware ${PREFIX}/bin
-	${INSTALL_DATA} ${WRKSRC}/XF86Config.dist ${PREFIX}/etc/XF86Config_VMware
-	@${ECHO} ""
-	@${ECHO} "You have installed XFree86 3.x X Server for VMware."
-	@${ECHO} "${PREFIX}/etc/XF86Config_VMware is a sample XF86Config file."
-	@${ECHO} "Copy this file to /etc/XF86Config before starting X."
-.endif
 	-${LOCALBASE}/sbin/vmware-guestd --cmd toolinstall.end
 
 .include <bsd.port.post.mk>
Index: emulators/vmware-guestd4/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/vmware-guestd4/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- emulators/vmware-guestd4/Makefile	31 May 2006 06:28:01 -0000	1.24
+++ emulators/vmware-guestd4/Makefile	13 Dec 2006 10:39:15 -0000
@@ -54,13 +54,8 @@
 
 .if defined(VMWARE_X_PORTS)
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-PLIST_SUB+=	INSTALLXSERVER3:=""
-PLIST_SUB+=	INSTALLXSERVER4:="@comment "
-.else
 PLIST_SUB+=	INSTALLXSERVER3:="@comment "
 PLIST_SUB+=	INSTALLXSERVER4:=""
-.endif
 
 .else
 
@@ -125,18 +120,9 @@
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/bin/vmware-toolbox ${X11BASE}/bin
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-	${INSTALL_PROGRAM} ${WRKSRC}/lib/configurator/XFree86-3/XF86_VMware_4.5 ${X11BASE}/bin/XF86_VMware
-	${INSTALL_DATA} ${WRKSRC}/lib/configurator/XFree86-3/XF86Config ${X11BASE}/etc/XF86Config_VMware
-	@${ECHO} ""
-	@${ECHO} "You have installed XFree86 3.x X Server for VMware."
-	@${ECHO} "${X11BASE}/etc/XF86Config_VMware is a sample XF86Config file."
-	@${ECHO} "Copy this file to /etc/XF86Config before starting X."
-.else
 	${INSTALL_DATA} ${WRKSRC}/lib/configurator/XFree86-4/XF86Config-4 ${X11BASE}/etc/XF86Config-4_VMware
 	${INSTALL_DATA} ${WRKSRC}/lib/configurator/XFree86-4/4.3.x/vmware_drv.o ${X11BASE}/lib/modules/drivers/vmware_drv.o_VMware
 	${INSTALL_DATA} ${WRKSRC}/lib/configurator/XFree86-4/4.2.x/vmmouse_drv.o ${X11BASE}/lib/modules/input/vmmouse_drv.o_VMware
-.endif
 	-${LOCALBASE}/sbin/vmware-guestd --cmd toolinstall.end
 
 .else
Index: emulators/vmware-guestd5/Makefile
===================================================================
RCS file: /home/pcvs/ports/emulators/vmware-guestd5/Makefile,v
retrieving revision 1.32
diff -u -r1.32 Makefile
--- emulators/vmware-guestd5/Makefile	31 May 2006 06:28:01 -0000	1.32
+++ emulators/vmware-guestd5/Makefile	13 Dec 2006 10:39:15 -0000
@@ -69,15 +69,7 @@
 
 .if defined(VMWARE_X_PORTS)
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-.if ${BITS} == 32
-PLIST_SUB+=	INSTALLXSERVER3:=""
-.else
-PLIST_SUB+=	INSTALLXSERVER3:="@comment "
-.endif
-PLIST_SUB+=	INSTALLXSERVER4:="@comment "
-PLIST_SUB+=	INSTALLXVMMOUSE:="@comment "
-.elif ${X_WINDOW_SYSTEM:L} == xfree86-4
+.if ${X_WINDOW_SYSTEM:L} == xfree86-4
 PLIST_SUB+=	INSTALLXSERVER3:="@comment "
 PLIST_SUB+=	INSTALLXSERVER4:=""
 PLIST_SUB+=	INSTALLXVMMOUSE:=""
@@ -174,24 +166,10 @@
 .if defined(WITH_VMWARE_GTK)
 	${INSTALL_PROGRAM} ${WRKSRC}/lib/bin${BITS}/vmware-toolbox-gtk ${X11BASE}/bin
 .endif
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 	if [ ! -d ${X11BASE}/lib/modules/input ] ; then \
 		${MKDIR} ${X11BASE}/lib/modules/input ; \
 	fi
-.endif
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-.if ${BITS} == 32
-	${INSTALL_PROGRAM} ${WRKSRC}/lib/configurator/XFree86-3/XF86_VMware_4.5 ${X11BASE}/bin/XF86_VMware
-	${INSTALL_DATA} ${WRKSRC}/lib/configurator/XFree86-3/XF86Config ${X11BASE}/etc/XF86Config_VMware
-	@${ECHO} ""
-	@${ECHO} "You have installed XFree86 3.x X Server for VMware."
-	@${ECHO} "${X11BASE}/etc/XF86Config_VMware is a sample XF86Config file."
-	@${ECHO} "Copy this file to /etc/XF86Config before starting X."
-.else
-	@${ECHO} "There is no XFree86 3.x X server for your system."
-	@${ECHO} "Consider upgrading your X to XFree86 4.x or switch to X.Org."
-.endif
-.elif ${X_WINDOW_SYSTEM:L} == xfree86-4
+.if ${X_WINDOW_SYSTEM:L} == xfree86-4
 	${INSTALL_DATA} ${WRKSRC}/lib/configurator/XFree86-4/XF86Config-4 ${X11BASE}/etc/XF86Config-4_VMware
 	if [ ! -d ${X11BASE}/lib/modules/drivers ] ; then \
 		${MKDIR} ${X11BASE}/lib/modules/drivers ; \
Index: games/atitd/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/atitd/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- games/atitd/Makefile	9 Oct 2006 22:58:32 -0000	1.11
+++ games/atitd/Makefile	13 Dec 2006 10:39:15 -0000
@@ -21,15 +21,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .ifdef(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so:${PORTSDIR}/graphics/linux_glx
-.endif
 
 PLIST_FILES=	bin/atitd
 USE_LINUX=	yes
Index: games/linux-doom3-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-doom3-demo/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- games/linux-doom3-demo/Makefile	31 Oct 2006 14:14:01 -0000	1.3
+++ games/linux-doom3-demo/Makefile	13 Dec 2006 10:39:15 -0000
@@ -35,15 +35,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 do-extract:
 	@${MKDIR} ${WRKSRC}
Index: games/linux-ut2004-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-ut2004-demo/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- games/linux-ut2004-demo/Makefile	31 Oct 2006 14:19:52 -0000	1.4
+++ games/linux-ut2004-demo/Makefile	13 Dec 2006 10:39:15 -0000
@@ -44,15 +44,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 do-extract:
 	@${MKDIR} ${WRKSRC}
Index: games/linux-virtual-jay-peak/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-virtual-jay-peak/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- games/linux-virtual-jay-peak/Makefile	4 Sep 2005 02:04:45 -0000	1.4
+++ games/linux-virtual-jay-peak/Makefile	13 Dec 2006 10:39:15 -0000
@@ -44,14 +44,10 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 .include <bsd.port.post.mk>
Index: games/linux-ut2003-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-ut2003-demo/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- games/linux-ut2003-demo/Makefile	5 Nov 2006 20:45:15 -0000	1.5
+++ games/linux-ut2003-demo/Makefile	13 Dec 2006 10:39:15 -0000
@@ -42,15 +42,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 do-extract:
 	@${MKDIR} ${WRKSRC}
Index: games/linux-quake3-demo/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-quake3-demo/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- games/linux-quake3-demo/Makefile	5 Nov 2006 20:45:14 -0000	1.19
+++ games/linux-quake3-demo/Makefile	13 Dec 2006 10:39:15 -0000
@@ -49,17 +49,12 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
-.   ifdef(WITH_NVIDIA_GL)
+.ifdef(WITH_NVIDIA_GL)
 GL_LIB=		${LINUXBASE}/usr/lib/libGL.so.1
 GL_PORT=	x11/nvidia-driver
-.   else
+.else
 GL_LIB=		${LINUXBASE}/usr/X11R6/lib/libGL.so.1
 GL_PORT=	graphics/linux_dri
-.   endif
-.else
-GL_LIB=		${LINUXBASE}/lib/libGL.so
-GL_PORT=	graphics/linux_glx
 .endif
 
 RUN_DEPENDS+=	${GL_LIB}:${PORTSDIR}/${GL_PORT}
Index: games/linux-x-plane/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-x-plane/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- games/linux-x-plane/Makefile	29 Jun 2006 00:05:18 -0000	1.8
+++ games/linux-x-plane/Makefile	13 Dec 2006 10:39:15 -0000
@@ -76,15 +76,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 do-fetch:
 	@if ! [ -e ${DISTDIR}/${DISTFILES} ]; then \
Index: games/linux-x-plane-net-installer/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-x-plane-net-installer/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- games/linux-x-plane-net-installer/Makefile	31 Aug 2006 16:22:28 -0000	1.8
+++ games/linux-x-plane-net-installer/Makefile	13 Dec 2006 10:39:15 -0000
@@ -30,15 +30,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 do-extract:
 	@${MKDIR} ${WRKSRC}
Index: games/linux-doom3/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/linux-doom3/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- games/linux-doom3/Makefile	20 Oct 2006 20:02:26 -0000	1.3
+++ games/linux-doom3/Makefile	13 Dec 2006 10:39:15 -0000
@@ -32,15 +32,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS+=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 .else
 RUN_DEPENDS+=	${LINUXBASE}/usr/X11R6/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
 .endif
-.else
-RUN_DEPENDS+=	${LINUXBASE}/lib/libGL.so.1:${PORTSDIR}/graphics/linux_glx
-.endif
 
 .if defined(WITH_NO_CDKEY)
 PORTVERSION=	1.1.1286
Index: graphics/libvisual-plugins/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/libvisual-plugins/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- graphics/libvisual-plugins/Makefile	14 Apr 2006 23:25:06 -0000	1.6
+++ graphics/libvisual-plugins/Makefile	13 Dec 2006 10:39:15 -0000
@@ -31,8 +31,6 @@
 BUILD_DEPENDS=	mkdirhier:${PORTSDIR}/devel/imake-4
 .elif ${X_WINDOW_SYSTEM} == "xorg"
 BUILD_DEPENDS=	mkdirhier:${PORTSDIR}/devel/imake-6
-.elif ${X_WINDOW_SYSTEM} == "xfree86-3"
-BUILD_DEPENDS=	mkdirhier:${PORTSDIR}/x11/XFree86
 .endif
 
 .if defined(WITH_MPLAYER)
Index: multimedia/libdv/Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/libdv/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- multimedia/libdv/Makefile	20 Sep 2006 11:21:51 -0000	1.33
+++ multimedia/libdv/Makefile	13 Dec 2006 10:39:15 -0000
@@ -37,10 +37,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-IGNORE=		"Requires Xv Extension"
-.endif
-
 .if ${HAVE_GNOME:Mgtk12}!=""
 USE_GNOME+=	gtk12
 MAN1+=		playdv.1
Index: multimedia/libxine/Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/libxine/Makefile,v
retrieving revision 1.102
diff -u -r1.102 Makefile
--- multimedia/libxine/Makefile	7 Dec 2006 17:13:41 -0000	1.102
+++ multimedia/libxine/Makefile	13 Dec 2006 10:39:15 -0000
@@ -58,11 +58,7 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 PLIST_SUB+=	WITH_LIBXV=""
-.else
-PLIST_SUB+=	WITH_LIBXV="@comment "
-.endif
 
 .if !defined(WITHOUT_ARTS) && (exists(${LOCALBASE}/bin/artsc-config) || defined(WITH_ARTS))
 LIB_DEPENDS+=	artsc.0:${PORTSDIR}/audio/arts
Index: net-im/ayttm/Makefile
===================================================================
RCS file: /home/pcvs/ports/net-im/ayttm/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- net-im/ayttm/Makefile	11 May 2006 22:49:32 -0000	1.45
+++ net-im/ayttm/Makefile	13 Dec 2006 10:39:15 -0000
@@ -60,7 +60,7 @@
 PLIST_SUB+=	LIBARTS="@comment "
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3 && !defined(WITHOUT_XFT)
+.if !defined(WITHOUT_XFT)
 LIB_DEPENDS+=	Xft.2:${PORTSDIR}/x11-fonts/libXft
 CONFIGURE_ARGS+=	--enable-xft
 CPPFLAGS+=	`freetype-config --cflags`
Index: x11/dgs/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11/dgs/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- x11/dgs/Makefile	12 Dec 2006 10:14:03 -0000	1.45
+++ x11/dgs/Makefile	13 Dec 2006 10:39:15 -0000
@@ -50,10 +50,6 @@
 MANN+=		makepsres.man
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-PLIST_SUB+=	WITH_XORG=""
-PLIST_SUB+=	WITH_XFREE4=""
-.else
 PLIST_SUB+=	WITH_XORG="@comment "
 
 .if ${X_WINDOW_SYSTEM:L} == xorg
@@ -73,6 +69,4 @@
 		${GMAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
 .endfor
 
-.endif
-
 .include <bsd.port.post.mk>
Index: x11/gdkxft/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11/gdkxft/Makefile,v
retrieving revision 1.30
diff -u -r1.30 Makefile
--- x11/gdkxft/Makefile	15 Aug 2006 01:11:32 -0000	1.30
+++ x11/gdkxft/Makefile	13 Dec 2006 10:39:15 -0000
@@ -32,10 +32,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-IGNORE=		"requires XFree86-4.x or later to run"
-.endif
-
 .if ${HAVE_GNOME:Mlibglade}!="" && ${HAVE_GNOME:Mlibcapplet}!=""
 USE_GNOME+=	gnomeprefix libglade libcapplet
 PKGNAMESUFFIX=	-gnome
Index: x11/mlterm/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11/mlterm/Makefile,v
retrieving revision 1.38
diff -u -r1.38 Makefile
--- x11/mlterm/Makefile	3 Dec 2006 09:56:59 -0000	1.38
+++ x11/mlterm/Makefile	13 Dec 2006 10:39:15 -0000
@@ -86,13 +86,8 @@
 
 MAN1=	mlterm.1 mlclient.1
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-PKGNAMESUFFIX=	-noaa
-CONFIGURE_ARGS+=	--with-type-engines=xcore
-.else
 CONFIGURE_ARGS+=	--with-type-engines="xcore,xft"
 LIB_DEPENDS+=	Xft.2:${PORTSDIR}/x11-fonts/libXft
-.endif
 
 post-configure:
 	@${CP} ${LIBTOOL} ${WRKSRC}
Index: x11/xlockmore/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11/xlockmore/Makefile,v
retrieving revision 1.103
diff -u -r1.103 Makefile
--- x11/xlockmore/Makefile	31 Oct 2006 13:30:04 -0000	1.103
+++ x11/xlockmore/Makefile	13 Dec 2006 10:39:15 -0000
@@ -105,9 +105,7 @@
 .endif
 
 post-configure:
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 	${REINPLACE_CMD} -e 's/-lXdpms//g' ${WRKSRC}/modes/Makefile
-.endif
 
 PLIST_FILES=	bin/xlock lib/X11/app-defaults/XLock
 
Index: x11/xvattr/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11/xvattr/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- x11/xvattr/Makefile	21 Mar 2006 15:25:15 -0000	1.12
+++ x11/xvattr/Makefile	13 Dec 2006 10:39:15 -0000
@@ -24,10 +24,4 @@
 
 MAN1=		xvattr.1
 
-.include <bsd.port.pre.mk>
-
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-IGNORE=		requires Xv Extension
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: x11-fonts/fontconfig/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-fonts/fontconfig/Makefile,v
retrieving revision 1.59
diff -u -r1.59 Makefile
--- x11-fonts/fontconfig/Makefile	16 Oct 2006 20:42:01 -0000	1.59
+++ x11-fonts/fontconfig/Makefile	13 Dec 2006 10:39:15 -0000
@@ -55,11 +55,7 @@
 #PATCH_DIST_STRIP+=	-p1
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-MTREE_FILE=	/etc/mtree/BSD.x11.dist
-.else
 MTREE_FILE=	/etc/mtree/BSD.x11-4.dist
-.endif
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: x11-fonts/webfonts/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-fonts/webfonts/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- x11-fonts/webfonts/Makefile	3 Sep 2006 01:15:32 -0000	1.26
+++ x11-fonts/webfonts/Makefile	13 Dec 2006 10:39:15 -0000
@@ -60,16 +60,10 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-RUN_DEPENDS=	xfstt:${PORTSDIR}/x11-servers/Xfstt
-PLIST_SUB+=	FCACHE="@comment " \
-		OLDXF86=""
-.else
 BUILD_DEPENDS=	fc-cache:${PORTSDIR}/x11-fonts/fontconfig
 RUN_DEPENDS=	fc-cache:${PORTSDIR}/x11-fonts/fontconfig
 PLIST_SUB+=	FCACHE="" \
 		OLDXF86="@comment "
-.endif
 
 .SILENT:
 
@@ -113,18 +107,13 @@
 	${INSTALL_DATA} ${FONTS_FILE} ${FONTSDIR}
 	${INSTALL_DATA} ${FONTS_FILE} ${FONTSDIR}/fonts.scale
 	${INSTALL_DATA} ${WRKSRC}/licen.txt ${DOCSDIR}/LICENSE
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-	${LN} -fs ${FONTSDIR} ${TTFONTSDIR}/${FONTNAME}
-.endif
 
 #
 # Post-install
 #
 post-install:
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 	${ECHO_MSG} "===> Running fc-cache"
 	-${X11BASE}/bin/fc-cache -f -v ${FONTSDIR}
-.endif
 	${ECHO_MSG}
 	${CAT} ${PKGMESSAGE}
 	${ECHO_MSG}
Index: x11-fonts/bitstream-vera/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-fonts/bitstream-vera/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- x11-fonts/bitstream-vera/Makefile	12 Jun 2006 04:58:42 -0000	1.13
+++ x11-fonts/bitstream-vera/Makefile	13 Dec 2006 10:39:15 -0000
@@ -39,11 +39,7 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-MTREE_FILE=	/etc/mtree/BSD.x11.dist
-.else
 MTREE_FILE=	/etc/mtree/BSD.x11-4.dist
-.endif
 
 .SILENT:
 
Index: x11-fonts/libXft/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-fonts/libXft/Makefile,v
retrieving revision 1.40
diff -u -r1.40 Makefile
--- x11-fonts/libXft/Makefile	31 Oct 2006 22:02:06 -0000	1.40
+++ x11-fonts/libXft/Makefile	13 Dec 2006 10:39:15 -0000
@@ -34,10 +34,4 @@
 #PATCHFILES+=    cjk-patch-libXft-20050716.diff.gz
 #.endif
 
-.include <bsd.port.pre.mk>
-
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-IGNORE=	xft requires Render extension headers/library to build
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: x11-toolkits/Xaw3d/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/Xaw3d/Makefile,v
retrieving revision 1.48
diff -u -r1.48 Makefile
--- x11-toolkits/Xaw3d/Makefile	2 Dec 2006 19:31:57 -0000	1.48
+++ x11-toolkits/Xaw3d/Makefile	13 Dec 2006 10:39:15 -0000
@@ -22,9 +22,6 @@
 SUB_LIST=	XAWVER="${XAWVER}"
 
 .include <bsd.port.pre.mk>
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-PLIST_FILES=	lib/libXaw3d.so.6
-.endif
 
 post-extract:
 	${MKDIR} ${WRKSRC}/X11/Xaw3d
@@ -40,9 +37,6 @@
 post-install:
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README.XAW3D ${DOCSDIR}
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3
-	${LN} -sf libXaw3d.so.${XAWVER} ${X11BASE}/lib/libXaw3d.so.6
-.endif
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: x11-toolkits/fox12/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/fox12/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- x11-toolkits/fox12/Makefile	6 Dec 2006 19:24:22 -0000	1.5
+++ x11-toolkits/fox12/Makefile	13 Dec 2006 10:39:15 -0000
@@ -46,7 +46,7 @@
 ## Additional Options
 ##
 #
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3 || defined(WITHOUT_XFT)
+.if defined(WITHOUT_XFT)
 CONFIGURE_ARGS+=	--with-xft=no
 .else
 CONFIGURE_ARGS+=	--with-xft=yes
Index: x11-toolkits/fox14/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/fox14/Makefile,v
retrieving revision 1.62
diff -u -r1.62 Makefile
--- x11-toolkits/fox14/Makefile	20 Jun 2006 20:59:34 -0000	1.62
+++ x11-toolkits/fox14/Makefile	13 Dec 2006 10:39:15 -0000
@@ -54,7 +54,7 @@
 ## Additional Options
 ##
 #
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3 || defined(WITHOUT_XFT)
+.if defined(WITHOUT_XFT)
 CONFIGURE_ARGS+=	--with-xft=no
 .else
 CONFIGURE_ARGS+=	--with-xft=yes
Index: x11-toolkits/fox16/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/fox16/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- x11-toolkits/fox16/Makefile	6 Dec 2006 19:26:23 -0000	1.6
+++ x11-toolkits/fox16/Makefile	13 Dec 2006 10:39:15 -0000
@@ -49,7 +49,7 @@
 ## Additional Options
 ##
 #
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3 || defined(WITHOUT_XFT)
+.if defined(WITHOUT_XFT)
 CONFIGURE_ARGS+=	--with-xft=no
 .else
 CONFIGURE_ARGS+=	--with-xft=yes
Index: x11-wm/aewm/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-wm/aewm/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- x11-wm/aewm/Makefile	13 Feb 2006 10:03:05 -0000	1.20
+++ x11-wm/aewm/Makefile	13 Dec 2006 10:39:15 -0000
@@ -31,14 +31,12 @@
 .else
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_XFT)
 LIB_DEPENDS+=	Xft.2:${PORTSDIR}/x11-fonts/libXft
 MAKE_ENV+=	DEFINES="-DXFT" \
 		EXTRA_INC="`pkg-config --cflags xft`" \
 		EXTRA_LIBS="`pkg-config --libs xft`"
 .endif
-.endif
 
 post-patch:
 	@${REINPLACE_CMD} -e '/^SUBDIR/s|clients||g' ${WRKSRC}/Makefile
Index: x11-wm/enlightenment/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-wm/enlightenment/Makefile,v
retrieving revision 1.94
diff -u -r1.94 Makefile
--- x11-wm/enlightenment/Makefile	10 Aug 2006 16:19:16 -0000	1.94
+++ x11-wm/enlightenment/Makefile	13 Dec 2006 10:39:15 -0000
@@ -60,10 +60,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if (${MACHINE} == "alpha") && (${X_WINDOW_SYSTEM:L} == xfree86-3)
-CONFIGURE_ARGS+=	--disable-zoom
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%X11BASE%%|${X11BASE}|g' \
 		-e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/scripts/e_gen_menu
Index: x11-wm/icewm/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-wm/icewm/Makefile,v
retrieving revision 1.121
diff -u -r1.121 Makefile
--- x11-wm/icewm/Makefile	14 Oct 2006 08:54:05 -0000	1.121
+++ x11-wm/icewm/Makefile	13 Dec 2006 10:39:15 -0000
@@ -65,14 +65,14 @@
 CONFIGURE_ARGS+=	--with-icesound=oss
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3 || defined(WITHOUT_XFT)
+.if defined(WITHOUT_XFT)
 CONFIGURE_ARGS+=	--enable-corefonts --disable-xfreetype
 .else
 LIB_DEPENDS+=	Xft.2:${PORTSDIR}/x11-fonts/libXft
 CONFIGURE_ARGS+=	--enable-gradients
 .endif
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3 || defined(WITHOUT_XINERAMA)
+.if defined(WITHOUT_XINERAMA)
 CONFIGURE_ARGS+=	--disable-xinerama
 .endif
 
Index: x11-wm/matchbox/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-wm/matchbox/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- x11-wm/matchbox/Makefile	16 Sep 2006 20:21:06 -0000	1.8
+++ x11-wm/matchbox/Makefile	13 Dec 2006 10:39:15 -0000
@@ -31,7 +31,7 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} == xfree86-3 || defined(WITHOUT_XFT)
+.if defined(WITHOUT_XFT)
 CONFIGURE_ARGS+=	--enable-standalone
 .else
 LIB_DEPENDS+=	Xft.2:${PORTSDIR}/x11-fonts/libXft
Index: x11-wm/xfce/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-wm/xfce/Makefile,v
retrieving revision 1.81
diff -u -r1.81 Makefile
--- x11-wm/xfce/Makefile	14 Oct 2006 08:54:08 -0000	1.81
+++ x11-wm/xfce/Makefile	13 Dec 2006 10:39:15 -0000
@@ -40,15 +40,11 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 .if defined(WITH_XFT)
 LIB_DEPENDS+=		Xft.2:${PORTSDIR}/x11-fonts/libXft
 CONFIGURE_ARGS+=	--enable-xft
 .endif
 CONFIGURE_ARGS+=	--enable-xinerama
-.else
-CONFIGURE_ARGS+=	--disable-xinerama
-.endif
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|xfplay|internal|g' ${WRKSRC}/other/xfsoundrc.in
Index: x11-wm/pawm/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-wm/pawm/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- x11-wm/pawm/Makefile	11 Sep 2006 21:52:08 -0000	1.18
+++ x11-wm/pawm/Makefile	13 Dec 2006 10:39:15 -0000
@@ -31,9 +31,6 @@
 		-DSIZE_MAX=UINT_MAX
 .endif
 
-.if ${X_WINDOW_SYSTEM} == xfree86-3
-CFLAGS+=	-DDISABLE_XFT -DDISABLE_XRANDR
-.else
 LDFLAGS+=	-lXrandr
 .if defined(WITHOUT_XFT)
 CFLAGS+=	-DDISABLE_XFT
@@ -42,7 +39,6 @@
 CFLAGS+=	`pkg-config --cflags xft`
 LDFLAGS+=	`pkg-config --libs xft`
 .endif
-.endif
 
 .if defined(WITH_SN)
 LIB_DEPENDS+=	startup-notification-1.0:${PORTSDIR}/x11/startup-notification
Index: x11-themes/cursor-bluecurve-theme/Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-themes/cursor-bluecurve-theme/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- x11-themes/cursor-bluecurve-theme/Makefile	14 Oct 2006 08:54:02 -0000	1.4
+++ x11-themes/cursor-bluecurve-theme/Makefile	13 Dec 2006 10:39:15 -0000
@@ -44,11 +44,7 @@
 .include "${MASTERDIR}/bsd.bluecurve.mk"
 .include <bsd.port.pre.mk>
 
-.if ${X_WINDOW_SYSTEM:L} != xfree86-3
 BUILD_DEPENDS+=	xcursorgen:${X_CLIENTS_PORT}	# needed by cursorthemegen
 RUN_DEPENDS+=	xcursorgen:${X_CLIENTS_PORT}	# for the lib/X11/icons directory
-.else
-IGNORE=		your X Window System is too old; install x11/xorg or x11/XFree86-4 and try again
-.endif
 
 .include <bsd.port.post.mk>
Comment 1 Edwin Groothuis freebsd_committer 2006-12-13 12:20:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vd

Submitter has GNATS access
Comment 2 Vasil Dimov freebsd_committer 2006-12-13 12:21:23 UTC
Responsible Changed
From-To: vd->portmgr

Assign to portmgr@ for a regression test on pointyhat. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=106666 

Adding to audit trail from misfiled PR ports/106671:

Date: Wed, 13 Dec 2006 16:46:05 +0100
Comment 3 pav freebsd_committer 2006-12-13 15:49:30 UTC
> * x11/dgs : remove WITH_XORG from pkg-plist and clean the PLIST_SUB
> lines in Makefile

Picking randomly one suggestion - you can't do that! We still support
XFree86 4.X along with X.org ...

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

... the obese drugged penguin used by Linux.
  -- Scott Long
Comment 4 r.c.ladan 2006-12-13 18:46:15 UTC
Pav Lucistnik schreef:
>> * x11/dgs : remove WITH_XORG from pkg-plist and clean the PLIST_SUB
>> lines in Makefile
> 
> Picking randomly one suggestion - you can't do that! We still support
> XFree86 4.X along with X.org ...
> 
Yeah, but that was the result of Vasils patch.  If you leave the
xfree86-3 case out of the Makefile, you get the above result.

Regards,
Rene
Comment 5 kris 2006-12-15 01:25:22 UTC
Thanks for working on this.  I am not sure when we will have time to
run it through the cluster since we're hard at work on things like the
new xorg and gcc imports, but we'll try to fit it in ASAP.

Kris
Comment 6 dfilter freebsd_committer 2007-02-02 17:06:35 UTC
pav         2007-02-02 17:06:25 UTC

  FreeBSD ports repository

  Modified files:
    astro/google-earth   Makefile 
    editors/elvis        Makefile 
    emulators/vice       Makefile 
    emulators/vmware-guestd4 Makefile pkg-descr.tools 
                             pkg-plist.tools 
    emulators/vmware-guestd5 Makefile pkg-descr.tools 
                             pkg-plist.tools 
    emulators/vmware-tools3 Makefile pkg-descr pkg-plist 
    games/atitd          Makefile 
    games/linux-doom3    Makefile 
    games/linux-doom3-demo Makefile 
    games/linux-quake3-demo Makefile 
    games/linux-ut2003-demo Makefile 
    games/linux-ut2004-demo Makefile 
    games/linux-virtual-jay-peak Makefile 
    games/linux-x-plane  Makefile 
    games/linux-x-plane-net-installer Makefile 
    graphics/libvisual-plugins Makefile 
    multimedia/libdv     Makefile 
    multimedia/libxine   Makefile pkg-plist 
    net-im/ayttm         Makefile 
    x11/dgs              Makefile pkg-plist 
    x11/gdkxft           Makefile 
    x11/mlterm           Makefile 
    x11/xlockmore        Makefile 
    x11/xvattr           Makefile 
    x11-fonts/bitstream-vera Makefile 
    x11-fonts/fontconfig Makefile 
    x11-fonts/libXft     Makefile 
    x11-fonts/webfonts   Makefile pkg-plist 
    x11-themes/cursor-bluecurve-theme Makefile 
    x11-toolkits/Xaw3d   Makefile 
    x11-toolkits/fox12   Makefile 
    x11-toolkits/fox14   Makefile 
    x11-toolkits/fox16   Makefile 
    x11-wm/aewm          Makefile 
    x11-wm/enlightenment Makefile 
    x11-wm/icewm         Makefile 
    x11-wm/matchbox      Makefile 
    x11-wm/pawm          Makefile 
    x11-wm/xfce          Makefile 
  Log:
  - Remove support for xfree86-3
  
  PR:             ports/106666
  Submitted by:   vd
  With hat:       portmgr
  
  Revision  Changes    Path
  1.11      +0 -4      ports/astro/google-earth/Makefile
  1.14      +1 -1      ports/editors/elvis/Makefile
  1.48      +1 -4      ports/emulators/vice/Makefile
  1.25      +1 -20     ports/emulators/vmware-guestd4/Makefile
  1.2       +1 -3      ports/emulators/vmware-guestd4/pkg-descr.tools
  1.3       +3 -5      ports/emulators/vmware-guestd4/pkg-plist.tools
  1.33      +2 -28     ports/emulators/vmware-guestd5/Makefile
  1.3       +4 -7      ports/emulators/vmware-guestd5/pkg-descr.tools
  1.7       +2 -4      ports/emulators/vmware-guestd5/pkg-plist.tools
  1.17      +0 -14     ports/emulators/vmware-tools3/Makefile
  1.4       +1 -3      ports/emulators/vmware-tools3/pkg-descr
  1.3       +0 -2      ports/emulators/vmware-tools3/pkg-plist
  1.12      +0 -4      ports/games/atitd/Makefile
  1.4       +0 -4      ports/games/linux-doom3-demo/Makefile
  1.4       +0 -4      ports/games/linux-doom3/Makefile
  1.20      +2 -7      ports/games/linux-quake3-demo/Makefile
  1.6       +0 -4      ports/games/linux-ut2003-demo/Makefile
  1.5       +0 -4      ports/games/linux-ut2004-demo/Makefile
  1.5       +0 -4      ports/games/linux-virtual-jay-peak/Makefile
  1.9       +0 -4      ports/games/linux-x-plane-net-installer/Makefile
  1.9       +0 -4      ports/games/linux-x-plane/Makefile
  1.8       +0 -2      ports/graphics/libvisual-plugins/Makefile
  1.37      +0 -4      ports/multimedia/libdv/Makefile
  1.103     +0 -6      ports/multimedia/libxine/Makefile
  1.41      +1 -1      ports/multimedia/libxine/pkg-plist
  1.46      +1 -1      ports/net-im/ayttm/Makefile
  1.14      +2 -6      ports/x11-fonts/bitstream-vera/Makefile
  1.61      +2 -6      ports/x11-fonts/fontconfig/Makefile
  1.42      +1 -7      ports/x11-fonts/libXft/Makefile
  1.27      +2 -16     ports/x11-fonts/webfonts/Makefile
  1.6       +3 -5      ports/x11-fonts/webfonts/pkg-plist
  1.5       +0 -4      ports/x11-themes/cursor-bluecurve-theme/Makefile
  1.49      +0 -6      ports/x11-toolkits/Xaw3d/Makefile
  1.7       +1 -1      ports/x11-toolkits/fox12/Makefile
  1.64      +1 -1      ports/x11-toolkits/fox14/Makefile
  1.8       +1 -1      ports/x11-toolkits/fox16/Makefile
  1.21      +0 -2      ports/x11-wm/aewm/Makefile
  1.95      +1 -7      ports/x11-wm/enlightenment/Makefile
  1.124     +2 -2      ports/x11-wm/icewm/Makefile
  1.9       +1 -1      ports/x11-wm/matchbox/Makefile
  1.19      +0 -4      ports/x11-wm/pawm/Makefile
  1.83      +0 -4      ports/x11-wm/xfce/Makefile
  1.46      +3 -14     ports/x11/dgs/Makefile
  1.12      +0 -31     ports/x11/dgs/pkg-plist
  1.32      +0 -4      ports/x11/gdkxft/Makefile
  1.39      +4 -9      ports/x11/mlterm/Makefile
  1.104     +0 -2      ports/x11/xlockmore/Makefile
  1.13      +1 -7      ports/x11/xvattr/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 pav freebsd_committer 2007-02-02 20:25:30 UTC
State Changed
From-To: open->closed

Committed, thanks!